import { errorMapper } from "./modules/errorMapping";
import { Harvest } from "./modules/harvester";
import { Build } from "./modules/builder";
import { Upgrade } from "./modules/upgrader";
import { SpawnCreep } from "./modules/spawnCreep";
export const loop = errorMapper(() => {
    let mainSpawn = Game.spawns["Spawn1"];
    SpawnCreep(mainSpawn);
    for (var name in Memory.creeps) {
        if (!Game.creeps[name]) {
            delete Memory.creeps[name];
            console.log("clearing non-existing creep memory:", name);
        }
    }

    for (var name in Game.creeps) {
        let creep = Game.creeps[name];
        if (creep.memory.role == "Harvester") {
            Harvest(creep);
        } else if (creep.memory.role == "Upgrader") {
            Upgrade(creep);
        } else if (creep.memory.role == "Builder") {
            Build(creep);
        }
    }
})